GANESHA-VFS-CONFIG(8)

NAME
ganesha-vfs-config - NFS Ganesha VFS Configuration File

SYNOPSIS
/etc/ganesha/vfs.conf

DESCRIPTION

NFS-Ganesha installs the config example for VFS FSAL: | /etc/ganesha/vfs.conf

This file lists VFS specific config options.

  EXPORT { FSAL {} }

    Name(string, "vfs")
        Name of FSAL should always be vfs.

pnfs(bool, default false)

    fsid_type(enum)
        Possible values: None, One64, Major64, Two64, uuid, Two32, Dev,Device

  VFS {}

link_support(bool, default true)

symlink_support(bool, default true)

cansettime(bool, default true)

maxread(uint64, range 512 to 64*1024*1024, default 64*1024*1024)

maxwrite(uint64, range 512 to 64*1024*1024, default 64*1024*1024)

umask(mode, range 0 to 0777, default 0)

auth_xdev_export(bool, default false)

only_one_user(bool, default false)

SEE ALSO

ganesha-log-config(8) ganesha-core-config(8) ganesha-export-config(8)